io.vertx.rxjava.ext.auth.oauth2

## Class AccessToken

- java.lang.Object
- - io.vertx.rxjava.ext.auth.User
  - - io.vertx.rxjava.ext.auth.oauth2.AccessToken

-     public class AccessToken
      extends User

  AccessToken extension to the User interface

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessToken(AccessToken delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `expired()` Check if the access token is expired or not.
    `Object` | `getDelegate()`
    `AccessToken` | `logout(Handler<AsyncResult<Void>> callback)` Revoke refresh token and calls the logout endpoint.
    `Observable<Void>` | `logoutObservable()` Revoke refresh token and calls the logout endpoint.
    `static AccessToken` | `newInstance(AccessToken arg)`
    `AccessToken` | `refresh(Handler<AsyncResult<Void>> callback)` Refresh the access token
    `Observable<Void>` | `refreshObservable()` Refresh the access token
    `AccessToken` | `revoke(String token_type, Handler<AsyncResult<Void>> callback)` Revoke access or refresh token
    `Observable<Void>` | `revokeObservable(String token_type)` Revoke access or refresh token

    - ### Methods inherited from class io.vertx.rxjava.ext.auth.User

      `clearCache, isAuthorised, isAuthorisedObservable, newInstance, principal, setAuthProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessToken

          public AccessToken(AccessToken delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `User`

    - #### expired

          public boolean expired()

      Check if the access token is expired or not.
      Returns:

    - #### refresh

          public AccessToken refresh(Handler<AsyncResult<Void>> callback)

      Refresh the access token
      Parameters:
        `callback` - - The callback function returning the results.
      Returns:

    - #### refreshObservable

          public Observable<Void> refreshObservable()

      Refresh the access token
      Returns:

    - #### revoke

          public AccessToken revoke(String token_type,
                                    Handler<AsyncResult<Void>> callback)

      Revoke access or refresh token
      Parameters:
        `token_type` - - A String containing the type of token to revoke. Should be either "access_token" or "refresh_token".
        `callback` - - The callback function returning the results.
      Returns:

    - #### revokeObservable

          public Observable<Void> revokeObservable(String token_type)

      Revoke access or refresh token
      Parameters:
        `token_type` - - A String containing the type of token to revoke. Should be either "access_token" or "refresh_token".
      Returns:

    - #### logout

          public AccessToken logout(Handler<AsyncResult<Void>> callback)

      Revoke refresh token and calls the logout endpoint. This is a openid-connect extension and might not be available on all providers.
      Parameters:
        `callback` - - The callback function returning the results.
      Returns:

    - #### logoutObservable

          public Observable<Void> logoutObservable()

      Revoke refresh token and calls the logout endpoint. This is a openid-connect extension and might not be available on all providers.
      Returns:

    - #### newInstance

          public static AccessToken newInstance(AccessToken arg)

Copyright © 2016. All rights reserved.